<?xml version="1.0" encoding="UTF-8"?>
<system name="Orbita-10. PPO unit.">
 <!-- Пульт ППО -->


 <property>fcs/NPK/panel/PPO/button/Z-X-S-Y</property>
 <property>fcs/NPK/panel/PPO/button/H_cruise-deltaH</property>
 <property>fcs/NPK/panel/PPO/button/A_rwy-A_twy</property>
 <property>fcs/NPK/panel/PPO/button/DeltaZ-DeltaS</property>
 <property>fcs/NPK/panel/PPO/button/phi-lam</property>
 <property>fcs/NPK/panel/PPO/button/phi_PM-lam_PM</property>
 <property>fcs/NPK/panel/PPO/button/phi_AP-lam_AP</property>
 <property>fcs/NPK/panel/PPO/button/phi_RM-lam_RM</property>
 <property>fcs/NPK/panel/PPO/button/U-U_x-delta-U_z</property>
 <property>fcs/NPK/panel/PPO/button/code</property>
 <property>fcs/NPK/panel/PPO/button/T-T_arrival</property>
 <property>fcs/NPK/panel/PPO/button/N_RM-N_ch</property>

 <property>fcs/NPK/panel/PPO/button/hint</property>
 <property>fcs/NPK/panel/PPO/button/enter</property>

 <!-- Display: code (2 digits) -->

 <property>fcs/NPK/panel/PPO/button/reset[0]</property>
 <property>fcs/NPK/panel/PPO/button/reset[1]</property>
 <property>fcs/NPK/panel/PPO/button/d[0]</property>
 <property>fcs/NPK/panel/PPO/button/d[1]</property>
 <property>fcs/NPK/panel/PPO/button/d[2]</property><!-- Ю -->
 <property>fcs/NPK/panel/PPO/button/d[3]</property>
 <property>fcs/NPK/panel/PPO/button/d[4]</property><!-- З -->
 <property>fcs/NPK/panel/PPO/button/d[5]</property>
 <property>fcs/NPK/panel/PPO/button/d[6]</property><!-- В -->
 <property>fcs/NPK/panel/PPO/button/d[7]</property><!-- - -->
 <property>fcs/NPK/panel/PPO/button/d[8]</property><!-- С -->
 <property>fcs/NPK/panel/PPO/button/d[9]</property><!-- + -->


 <channel name="Status" execrate="8">

  <switch name="fcs/NPK/panel/PPO/status/mode">
   <default value="fcs/NPK/panel/PPO/status/mode"/>
   <test value="0">
    fcs/NPK/status/mode EQ 0
   </test>
   <test value="5">
    fcs/NPK/panel/PPO/status/mode EQ 0
   </test>
   <test value="1">
    fcs/NPK/panel/PPO/button/Z-X-S-Y NE 0
   </test>
   <test value="2">
    fcs/NPK/panel/PPO/button/H_cruise-deltaH NE 0
   </test>
   <test value="3">
    fcs/NPK/panel/PPO/button/A_rwy-A_twy NE 0
   </test>
   <test value="4">
    fcs/NPK/panel/PPO/button/DeltaZ-DeltaS NE 0
   </test>
   <test value="5">
    fcs/NPK/panel/PPO/button/phi-lam NE 0
   </test>
   <test value="6">
    fcs/NPK/panel/PPO/button/phi_PM-lam_PM NE 0
   </test>
   <test value="7">
    fcs/NPK/panel/PPO/button/phi_AP-lam_AP NE 0
   </test>
   <test value="8">
    fcs/NPK/panel/PPO/button/phi_RM-lam_RM NE 0
   </test>
   <test value="9">
    fcs/NPK/panel/PPO/button/U-U_x-delta-U_z NE 0
   </test>
<!--
   <test value="10">
    fcs/NPK/panel/PPO/button/code NE 0
   </test>
-->
   <test value="11">
    fcs/NPK/panel/PPO/button/T-T_arrival NE 0
   </test>
   <test value="12">
    fcs/NPK/panel/PPO/button/N_RM-N_ch NE 0
   </test>
  </switch>

  <switch name="fcs/NPK/panel/PPO/display[0]/degrees">
   <default value="0"/>
   <test logic="OR" value="0">
    fcs/NPK/Orbita/status/test NE 0
   </test>
   <test logic="OR" value="1">
    fcs/NPK/panel/PPO/status/mode EQ 3
    fcs/NPK/panel/PPO/status/mode EQ 5
    fcs/NPK/panel/PPO/status/mode EQ 6
    fcs/NPK/panel/PPO/status/mode EQ 7
    fcs/NPK/panel/PPO/status/mode EQ 8
    fcs/NPK/panel/PPO/status/mode EQ 11
   </test>
  </switch>

  <switch name="fcs/NPK/panel/PPO/display[0]/value">
   <default value="fcs/NPK/panel/PPO/display[0]/value"/>
   <test value="fcs/NPK/panel/PPO/display[0]/value">
    fcs/NPK/panel/PPO/status/mode EQ 0
   </test>
   <test value="999.999">
    fcs/NPK/Orbita/status/test NE 0
   </test>
   <test value="fcs/NPK/Orbita/route/Z-km">
    fcs/NPK/panel/PPO/status/mode EQ 1
   </test>
   <test value="fcs/NPK/Orbita/func/leg/H/H_set-km">
    fcs/NPK/panel/PPO/status/mode EQ 2
   </test>
   <test value="fcs/NPK/Orbita/func/airport/AP/psi-deg">
    fcs/NPK/panel/PPO/status/mode EQ 3
   </test>
   <test value="fcs/NPK/Orbita/func/corr/corr/deltaZ-km">
    fcs/NPK/panel/PPO/status/mode EQ 4
   </test>
   <test value="fcs/NPK/Orbita/INS/phi/phi-deg">
    fcs/NPK/panel/PPO/status/mode EQ 5
   </test>
   <test value="fcs/NPK/Orbita/func/leg/PM[1]/phi-deg">
    fcs/NPK/panel/PPO/status/mode EQ 6
   </test>
   <test value="fcs/NPK/Orbita/func/airport/AP/phi-deg">
    fcs/NPK/panel/PPO/status/mode EQ 7
   </test>
   <test value="fcs/NPK/Orbita/func/corr/RM/phi-deg">
    fcs/NPK/panel/PPO/status/mode EQ 8
   </test>
   <test value="fcs/NPK/Orbita/func/Vground/wind/U-km_h">
    fcs/NPK/panel/PPO/status/mode EQ 9
   </test>
   <test value="fcs/NPK/Orbita/clock/time-h">
    fcs/NPK/panel/PPO/status/mode EQ 11
   </test>
   <test value="fcs/NPK/Orbita/func/corr/RM/RM">
    fcs/NPK/panel/PPO/status/mode EQ 12
   </test>
  </switch>

  <switch name="fcs/NPK/panel/PPO/display[1]/degrees">
   <default value="fcs/NPK/panel/PPO/display[0]/degrees"/>
   <test logic="OR" value="0">
    fcs/NPK/Orbita/status/test NE 0
   </test>
   <test logic="OR" value="1">
    fcs/NPK/panel/PPO/status/mode EQ 9
   </test>
  </switch>

  <switch name="fcs/NPK/panel/PPO/display[1]/value">
   <default value="fcs/NPK/panel/PPO/display[1]/value"/>
   <test value="fcs/NPK/panel/PPO/display[1]/value">
    fcs/NPK/panel/PPO/status/mode EQ 0
   </test>
   <test value="999.999">
    fcs/NPK/Orbita/status/test NE 0
   </test>
   <test value="fcs/NPK/Orbita/route/S-km">
    fcs/NPK/panel/PPO/status/mode EQ 1
   </test>
   <test value="fcs/NPK/Orbita/func/leg/H/deltaH-km">
    fcs/NPK/panel/PPO/status/mode EQ 2
   </test>
   <test value="fcs/NPK/Orbita/func/airport/AP/psi_twy-deg">
    fcs/NPK/panel/PPO/status/mode EQ 3
   </test>
   <test value="fcs/NPK/Orbita/func/corr/corr/deltaS-km">
    fcs/NPK/panel/PPO/status/mode EQ 4
   </test>
   <test value="fcs/NPK/Orbita/INS/lam/lam-deg">
    fcs/NPK/panel/PPO/status/mode EQ 5
   </test>
   <test value="fcs/NPK/Orbita/func/leg/PM[1]/lam-deg">
    fcs/NPK/panel/PPO/status/mode EQ 6
   </test>
   <test value="fcs/NPK/Orbita/func/airport/AP/lam-deg">
    fcs/NPK/panel/PPO/status/mode EQ 7
   </test>
   <test value="fcs/NPK/Orbita/func/corr/RM/lam-deg">
    fcs/NPK/panel/PPO/status/mode EQ 8
   </test>
   <test value="fcs/NPK/Orbita/func/Vground/wind/delta-deg">
    fcs/NPK/panel/PPO/status/mode EQ 9
   </test>
   <test value="fcs/NPK/Orbita/func/time/arrival-h">
    fcs/NPK/panel/PPO/status/mode EQ 11
   </test>
   <test value="fcs/NPK/Orbita/func/corr/RM/f">
    fcs/NPK/panel/PPO/status/mode EQ 12
   </test>
  </switch>

 </channel>


 <channel name="Display input [0]" execrate="8">

  <switch name="fcs/NPK/panel/PPO/status/input[0]">
   <default value="fcs/NPK/panel/PPO/status/input[0]"/>
   <test value="0">
    fcs/NPK/status/mode EQ 0
   </test>
   <test value="1">
    fcs/NPK/panel/PPO/button/reset[0] NE 0
   </test>
  </switch>

 </channel>

 <channel name="Display input [1]" execrate="8">

  <switch name="fcs/NPK/panel/PPO/status/input[1]">
   <default value="fcs/NPK/panel/PPO/status/input[1]"/>
   <test value="0">
    fcs/NPK/status/mode EQ 0
   </test>
   <test value="1">
    fcs/NPK/panel/PPO/button/reset[0] NE 0
   </test>
  </switch>

 </channel>


 <channel name="Display line display[0]" execrate="8">

  <switch name="fcs/NPK/panel/PPO/display[0]/base">
   <default value="100"/>
   <test value="60">
    fcs/NPK/panel/PPO/display[0]/degrees NE 0
   </test>
  </switch>

  <fcs_function name="fcs/NPK/panel/PPO/display[0]/counter/val_[0]">
   <function>
    <abs>
     <product>
      <integer>
       <sum>
        <product>
         <fraction>
          <product>
           <p>fcs/NPK/panel/PPO/display[0]/value</p>
           <p>fcs/NPK/panel/PPO/display[0]/base</p>
          </product>
         </fraction>
         <p>fcs/NPK/panel/PPO/display[0]/base</p>
         <v>0.1</v>
        </product>
        <v>0.5</v>
       </sum>
      </integer>
      <v>10.0</v>
     </product>
    </abs>
   </function>
   <clipto><min>0</min><max>90</max></clipto>
  </fcs_function>

  <fcs_function name="fcs/NPK/panel/PPO/display[0]/counter/val_[1]">
   <function>
    <abs>
     <integer>
      <product>
       <fraction>
        <p>fcs/NPK/panel/PPO/display[0]/value</p>
       </fraction>
       <p>fcs/NPK/panel/PPO/display[0]/base</p>
      </product>
     </integer>
    </abs>
   </function>
   <clipto><min>0</min><max>99</max></clipto>
  </fcs_function>

  <fcs_function name="fcs/NPK/panel/PPO/display[0]/counter/val_[2]">
   <function>
    <integer>
     <p>fcs/NPK/panel/PPO/display[0]/value</p>
    </integer>
   </function>
   <clipto><min>-999</min><max>999</max></clipto>
  </fcs_function>

 </channel>


 <channel name="Display line display[1]" execrate="8">

  <switch name="fcs/NPK/panel/PPO/display[1]/base">
   <default value="100"/>
   <test value="60">
    fcs/NPK/panel/PPO/display[1]/degrees NE 0
   </test>
  </switch>

  <fcs_function name="fcs/NPK/panel/PPO/display[1]/counter/val_[0]">
   <function>
    <abs>
     <product>
      <integer>
       <sum>
        <product>
         <fraction>
          <product>
           <p>fcs/NPK/panel/PPO/display[1]/value</p>
           <p>fcs/NPK/panel/PPO/display[1]/base</p>
          </product>
         </fraction>
         <p>fcs/NPK/panel/PPO/display[1]/base</p>
         <v>0.1</v>
        </product>
        <v>0.5</v>
       </sum>
      </integer>
      <v>10.0</v>
     </product>
    </abs>
   </function>
   <clipto><min>0</min><max>90</max></clipto>
  </fcs_function>

  <fcs_function name="fcs/NPK/panel/PPO/display[1]/counter/val_[1]">
   <function>
    <abs>
     <integer>
      <product>
       <fraction>
        <p>fcs/NPK/panel/PPO/display[1]/value</p>
       </fraction>
       <p>fcs/NPK/panel/PPO/display[1]/base</p>
      </product>
     </integer>
    </abs>
   </function>
   <clipto><min>0</min><max>99</max></clipto>
  </fcs_function>

  <fcs_function name="fcs/NPK/panel/PPO/display[1]/counter/val_[2]">
   <function>
    <integer>
     <p>fcs/NPK/panel/PPO/display[1]/value</p>
    </integer>
   </function>
   <clipto><min>-999</min><max>999</max></clipto>
  </fcs_function>

 </channel>


 <channel name="Lights" execrate="8">

  <switch name="fcs/NPK/panel/PPO/light/Z-X-S-Y">
   <default value="0"/>
   <test logic="OR" value="1">
    fcs/NPK/panel/PPO/status/mode EQ 1
    fcs/NPK/Orbita/status/test NE 0
   </test>
  </switch>

  <switch name="fcs/NPK/panel/PPO/light/H_cruise-deltaH">
   <default value="0"/>
   <test logic="OR" value="1">
    fcs/NPK/panel/PPO/status/mode EQ 2
    fcs/NPK/Orbita/status/test NE 0
   </test>
  </switch>

  <switch name="fcs/NPK/panel/PPO/light/A_rwy-A_twy">
   <default value="0"/>
   <test logic="OR" value="1">
    fcs/NPK/panel/PPO/status/mode EQ 3
    fcs/NPK/Orbita/status/test NE 0
   </test>
  </switch>

  <switch name="fcs/NPK/panel/PPO/light/DeltaZ-DeltaS">
   <default value="0"/>
   <test logic="OR" value="1">
    fcs/NPK/panel/PPO/status/mode EQ 4
    fcs/NPK/Orbita/status/test NE 0
   </test>
  </switch>

  <switch name="fcs/NPK/panel/PPO/light/phi-lam">
   <default value="0"/>
   <test logic="OR" value="1">
    fcs/NPK/panel/PPO/status/mode EQ 5
    fcs/NPK/Orbita/status/test NE 0
   </test>
  </switch>

  <switch name="fcs/NPK/panel/PPO/light/phi_PM-lam_PM">
   <default value="0"/>
   <test logic="OR" value="1">
    fcs/NPK/panel/PPO/status/mode EQ 6
    fcs/NPK/Orbita/status/test NE 0
   </test>
  </switch>

  <switch name="fcs/NPK/panel/PPO/light/phi_AP-lam_AP">
   <default value="0"/>
   <test logic="OR" value="1">
    fcs/NPK/panel/PPO/status/mode EQ 7
    fcs/NPK/Orbita/status/test NE 0
   </test>
  </switch>

  <switch name="fcs/NPK/panel/PPO/light/phi_RM-lam_RM">
   <default value="0"/>
   <test logic="OR" value="1">
    fcs/NPK/panel/PPO/status/mode EQ 8
    fcs/NPK/Orbita/status/test NE 0
   </test>
  </switch>

  <switch name="fcs/NPK/panel/PPO/light/U-U_x-delta-U_z">
   <default value="0"/>
   <test logic="OR" value="1">
    fcs/NPK/panel/PPO/status/mode EQ 9
    fcs/NPK/Orbita/status/test NE 0
   </test>
  </switch>

  <switch name="fcs/NPK/panel/PPO/light/code">
   <default value="0"/>
   <test logic="OR" value="1">
    fcs/NPK/panel/PPO/status/mode EQ 10
    fcs/NPK/Orbita/status/test NE 0
   </test>
  </switch>

  <switch name="fcs/NPK/panel/PPO/light/T-T_arrival">
   <default value="0"/>
   <test logic="OR" value="1">
    fcs/NPK/panel/PPO/status/mode EQ 11
    fcs/NPK/Orbita/status/test NE 0
   </test>
  </switch>

  <switch name="fcs/NPK/panel/PPO/light/N_RM-N_ch">
   <default value="0"/>
   <test logic="OR" value="1">
    fcs/NPK/panel/PPO/status/mode EQ 12
    fcs/NPK/Orbita/status/test NE 0
   </test>
  </switch>

  <switch name="fcs/NPK/panel/PPO/light/enter">
   <default value="0"/>
   <test value="1">
    fcs/NPK/Orbita/status/test NE 0
   </test>
   <test value="fcs/NPK/Orbita/corr/ok">
    fcs/NPK/panel/PPO/status/mode EQ 4
   </test>
  </switch>

 </channel>


 <channel name="Outgoing signals" execrate="8">

  <switch name="fcs/NPK/Orbita/corr/manual">
   <default value="0"/>
   <test value="fcs/NPK/panel/PPO/button/enter">
    fcs/NPK/panel/PPO/status/mode EQ 4
   </test>
  </switch>

 </channel>


 <channel name="Output" execrate="8">

  <fcs_function name="fcs/NPK/panel/PPO/display[0]/counter/val[0]">
   <function>
    <integer>
     <mod>
      <product>
       <p>fcs/NPK/panel/PPO/display[0]/counter/val_[0]</p>
       <v>0.1</v>
      </product>
      <v>10</v>
     </mod>
    </integer>
   </function>
  </fcs_function>

  <fcs_function name="fcs/NPK/panel/PPO/display[0]/counter/val[1]">
   <function>
    <integer>
     <mod>
      <p>fcs/NPK/panel/PPO/display[0]/counter/val_[1]</p>
      <v>10</v>
     </mod>
    </integer>
   </function>
  </fcs_function>

  <fcs_function name="fcs/NPK/panel/PPO/display[0]/counter/val[2]">
   <function>
    <integer>
     <mod>
      <product>
       <p>fcs/NPK/panel/PPO/display[0]/counter/val_[1]</p>
       <v>0.1</v>
      </product>
      <v>10</v>
     </mod>
    </integer>
   </function>
  </fcs_function>

  <fcs_function name="fcs/NPK/panel/PPO/display[0]/counter/val[3]">
   <function>
    <integer>
     <mod>
      <abs>
       <p>fcs/NPK/panel/PPO/display[0]/counter/val_[2]</p>
      </abs>
      <v>10</v>
     </mod>
    </integer>
   </function>
  </fcs_function>

  <fcs_function name="fcs/NPK/panel/PPO/display[0]/counter/val[4]">
   <function>
    <integer>
     <mod>
      <product>
       <abs>
        <p>fcs/NPK/panel/PPO/display[0]/counter/val_[2]</p>
       </abs>
       <v>0.1</v>
      </product>
      <v>10</v>
     </mod>
    </integer>
   </function>
  </fcs_function>

  <fcs_function name="fcs/NPK/panel/PPO/display[0]/counter/val[5]">
   <function>
    <integer>
     <mod>
      <product>
       <abs>
        <p>fcs/NPK/panel/PPO/display[0]/counter/val_[2]</p>
       </abs>
       <v>0.01</v>
      </product>
      <v>10</v>
     </mod>
    </integer>
   </function>
  </fcs_function>

  <switch name="fcs/NPK/panel/PPO/display[0]/counter/sign">
   <default value="0"/>
   <test value="1">
    fcs/NPK/panel/PPO/display[0]/counter/val_[2] LT 0.0
   </test>
  </switch>

  <fcs_function name="fcs/NPK/panel/PPO/display[1]/counter/val[0]">
   <function>
    <integer>
     <mod>
      <product>
       <p>fcs/NPK/panel/PPO/display[1]/counter/val_[0]</p>
       <v>0.1</v>
      </product>
      <v>10</v>
     </mod>
    </integer>
   </function>
  </fcs_function>

  <fcs_function name="fcs/NPK/panel/PPO/display[1]/counter/val[1]">
   <function>
    <integer>
     <mod>
      <p>fcs/NPK/panel/PPO/display[1]/counter/val_[1]</p>
      <v>10</v>
     </mod>
    </integer>
   </function>
  </fcs_function>

  <fcs_function name="fcs/NPK/panel/PPO/display[1]/counter/val[2]">
   <function>
    <integer>
     <mod>
      <product>
       <p>fcs/NPK/panel/PPO/display[1]/counter/val_[1]</p>
       <v>0.1</v>
      </product>
      <v>10</v>
     </mod>
    </integer>
   </function>
  </fcs_function>

  <fcs_function name="fcs/NPK/panel/PPO/display[1]/counter/val[3]">
   <function>
    <integer>
     <mod>
      <abs>
       <p>fcs/NPK/panel/PPO/display[1]/counter/val_[2]</p>
      </abs>
      <v>10</v>
     </mod>
    </integer>
   </function>
  </fcs_function>

  <fcs_function name="fcs/NPK/panel/PPO/display[1]/counter/val[4]">
   <function>
    <integer>
     <mod>
      <product>
       <abs>
        <p>fcs/NPK/panel/PPO/display[1]/counter/val_[2]</p>
       </abs>
       <v>0.1</v>
      </product>
      <v>10</v>
     </mod>
    </integer>
   </function>
  </fcs_function>

  <fcs_function name="fcs/NPK/panel/PPO/display[1]/counter/val[5]">
   <function>
    <integer>
     <mod>
      <product>
       <abs>
        <p>fcs/NPK/panel/PPO/display[1]/counter/val_[2]</p>
       </abs>
       <v>0.01</v>
      </product>
      <v>10</v>
     </mod>
    </integer>
   </function>
  </fcs_function>

  <switch name="fcs/NPK/panel/PPO/display[1]/counter/sign">
   <default value="0"/>
   <test value="1">
    fcs/NPK/panel/PPO/display[1]/counter/val_[2] LT 0.0
   </test>
  </switch>

 </channel>


</system>
